Monitor Grok Responses
Grok
Extract Grok
Extract structured data from Grok with enhanced source metadata, real-time web integration, and contextual information across various regions worldwide.
POST
Monitor Grok Responses
Overview
The Grok endpoint extracts structured data from Grok with real-time web sources with enhanced metadata. Unlike other AI search providers, Grok provides extra contextual information for each source including preview text, creator details, site information, and image URLs.Web search enabledThis endpoint uses Grok’s default interface, which always performs web searches for all requests to provide real-time information with source citations.
Request parameters
Uses common parameters. Endpoint-specific options:include.rawResponse(boolean): Include raw streaming response events. Defaults tofalse
Response objects
The response includes the following sections. See each subpage for the full schema.| Section | Description |
|---|---|
| Sources | Sources with preview text, creator details, site information, and image URLs |
Response schema
Includes common response fields plus:| Field | Type | Description |
|---|---|---|
result.text | string | Grok’s response text |
result.html | string | Response formatted in HTML (included when include.html is true) |
result.sources | array | Array of web sources with enhanced metadata |
result.searchQueries | string[] | Array of search queries Grok used to gather information |
result.model | string | The model identifier used to generate the response (e.g., “grok-4-auto”) |
result.markdown | string | Response formatted in Markdown (included when include.markdown is true) |
result.rawResponse | array | Array of Grok’s streamed response events (included when include.rawResponse is true) |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request parameters for monitoring Grok responses